IntHash Class Reference

## Public Member Functions

| IntHash (int startsize=32)
void | Grow ()
void | Shrink ()
void | SetSize (int newsize)
void | Clear ()
int | Capacity () const
int | Entries () const
bool | Object (int i) const
void | SetObject (int i, bool object)
int | Add (int key, bool object=true)
int | Find (int key)
int | Rehash (int key, int h)
IntHash & | operator= (const IntHash &rhs)
bool | operator[] (int i) const
void | Delete (unsigned int index)
bool | SlotInUse (int index)

## Protected Attributes

bool * | objects
unsigned int * | keys
unsigned int | count
unsigned int | size
unsigned int | mask

## Detailed Description

Definition at line 40 of file IntHash.h.

The documentation for this class was generated from the following files:

- general/IntHash.h
- general/IntHash.cpp